import { get, post } from "@/api/index";

export default {
    /**
     * 获取研究员列表
     * @param {Object} params
     * @param {Number} params.PageSize
     * @param {Number} params.CurrentIndex
     * @returns 
     */
    getAuthorList: params => {
        return get('/analyst/list', params)
    },
    /**
     * 上传研究员头像
     * @param {Object} params
     * @param {File} params.File
     * @returns res.Data {Url:'',FileName:''}
     */
    uploadAuthorPic: params => {
        return post('/analyst/uploadImage',params)
    },
    /**
     * 编辑研究员
     * @param {Object} params 
     * @param {Number} params.Id
     * @param {String} params.HeadImgUrl
     * @param {String} params.Introduction
     * @returns 
     */
    editAuthor: params => {
        return post('/analyst/edit',params)
    }

};