import { get, post } from "@/api/index";
export default{
    /**
     * 获取音频列表
     * @param {Object} params
     * @param {Object} params.CurrentIndex
     * @param {Object} params.PageSize
     * @param {Object} params.SortType asc dec
     * @returns 
     */
    getAudioList: params => {
        return get('/media/audioList',params)
    },
    /**
     * 上传音频文件
     * @param {Object} params
     * @param {File} params.File
     * @returns res.Data {Url:'',FileName:''}
     */
    uploadAudioFile: params => {
        return post('/media/uploadAudio',params)
    },
    /**
     * 添加音频
     * @param {Object} params
     * @param {Object} params.AudioName 音频标题
     * @param {Object} params.AnalystId 
     * @param {Object} params.AnalystName
     * @param {Object} params.SrcUrl
     * @param {Object} params.PermissionIds 所属二级品种，用,隔开
     * @param {Object} params.DurationMillisecond 音频长度 单位毫秒
     * @returns 
     */
    addAudio: params => {
        return post('/media/addAudio',params)
    },
    /**
     * AudioId
     * @param {*} params 
     * @returns 
     */
    editAudio: params => {
        return post('/media/editAudio',params)
    },
    /**
     * 删除音频
     * @param {Object} params 
     * @param {Number} params.AudioId
     * @returns 
     */
    deleteAudio: params => {
        return post('/media/deleteAudio',params)
    }
}